
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在 Linux 下你所不知道的 df 命令的那些功能 / iVAN</title>

    <meta name="description" content="在 Linux 下你所不知道的 df 命令的那些功能 在 Linux 下你所不知道的 df 命令的那些功能 问题: 我知道在Linux上我可以用df命令来查看磁盘使用空间.你能告诉我df命令的实际例子使我可以最大限度得利用它吗? 对于磁盘存储方面,有很多命令行或基于GUI的工具,它可以告诉你关于当前磁盘空间的使用情况.这些工具用各种人们可读的格式展示磁盘利用率的详细信息,比如易于理解的总结,详细的统计信息或直观的可视化报告.如果你只想知道不同文件系统有多少空闲的磁盘空间,那么df命令可能是你所需要的. df命令可以展示任何&quot;mounted ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在 Linux 下你所不知道的 df 命令的那些功能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>在 Linux 下你所不知道的 df 命令的那些功能</h1>

<blockquote><p>问题: 我知道在Linux上我可以用df命令来查看磁盘使用空间。你能告诉我df命令的实际例子使我可以最大限度得利用它吗？</p></blockquote>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNTAyLzAxLzEwMTYwM2Jnb2dvdzlxYm9hbDl6dWIuanBn.jpg"></p>
<p>对于磁盘存储方面，有很多命令行或基于GUI的工具，它可以告诉你关于当前磁盘空间的使用情况。这些工具用各种人们可读的格式展示磁盘利用率的详细信息，比如易于理解的总结，详细的统计信息或直观的<a href="http://xmodulo.com/visualize-disk-usage-linux.html" rel="external nofollow noreferrer">可视化报告</a>。如果你只想知道不同文件系统有多少空闲的磁盘空间，那么df命令可能是你所需要的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNTAyLzAxLzEwMTYwOHJzZXc1d2VzM2tjMnBsc28uanBn.jpg"></p>
<p>df命令可以展示任何“mounted”文件系统的磁盘利用率。该命令可以用不同的方式调用。这里有一些有用的df 命令例子.</p>
<h3>用人们可读的方式展示</h3>
<p>默认情况下，df命令用1K为块来展示磁盘空间，这看起来不是很直观。“-h”参数使df用更可读的方式打印磁盘空间（例如 100K，200M，3G）。</p>
<pre>
</pre>
<ol>
<li>$ df -h</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem               Size  Used Avail Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root  909G  565G  299G  66% /</li>
<li>none                     4.0K     0  4.0K   0% /sys/fs/cgroup</li>
<li>udev                     3.9G  4.0K  3.9G   1% /dev</li>
<li>tmpfs                    785M  1.2M  784M   1% /run</li>
<li>none                     5.0M     0  5.0M   0% /run/lock</li>
<li>none                     3.9G   63M  3.8G   2% /run/shm</li>
<li>none                     100M   48K  100M   1% /run/user</li>
<li>/dev/sda1                228M   98M  118M  46% /boot</li>
</ol>
<h3>展示Inode使用情况</h3>
<p>当你监视磁盘使用情况时，你必须注意的不仅仅是磁盘空间还有“inode”的使用情况。在Linux中，inode是用来存储特定文件的元数据的一种数据结构，在创建一个文件系统时，inode的预先定义数量将被分配。这意味着，一个文件系统可能耗尽空间不只是因为大文件用完了所有可用空间，也可能是因为很多小文件用完了所有可能的inode。用“-i”选项展示inode使用情况。</p>
<pre>
</pre>
<ol>
<li>$ df -i</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem                Inodes   IUsed    IFree IUse% Mounted on</li>
<li>/dev/mapper/ubuntu-root 60514304 1217535 59296769    3% /</li>
<li>none                     1004417      13  1004404    1% /sys/fs/cgroup</li>
<li>udev                     1000623     552  1000071    1% /dev</li>
<li>tmpfs                    1004417     608  1003809    1% /run</li>
<li>none                     1004417      11  1004406    1% /run/lock</li>
<li>none                     1004417     288  1004129    1% /run/shm</li>
<li>none                     1004417      28  1004389    1% /run/user</li>
<li>/dev/sda1                 124496     346   124150    1% /boot</li>
</ol>
<h3>展示磁盘总利用率</h3>
<p>默认情况下， df命令显示磁盘的单个文件系统的利用率。如果你想知道的所有文件系统的总磁盘使用量，增加“ --total ”选项（见最下面的汇总行）。</p>
<pre>
</pre>
<ol>
<li>$ df -h --total</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem               Size  Used Avail Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root  909G  565G  299G  66% /</li>
<li>none                     4.0K     0  4.0K   0% /sys/fs/cgroup</li>
<li>udev                     3.9G  4.0K  3.9G   1% /dev</li>
<li>tmpfs                    785M  1.2M  784M   1% /run</li>
<li>none                     5.0M     0  5.0M   0% /run/lock</li>
<li>none                     3.9G   62M  3.8G   2% /run/shm</li>
<li>none                     100M   48K  100M   1% /run/user</li>
<li>/dev/sda1                228M   98M  118M  46% /boot</li>
<li>total                    918G  565G  307G  65% -</li>
</ol>
<h3>展示文件系统类型</h3>
<p>默认情况下，df命令不显示文件系统类型信息。用“-T”选项来添加文件系统信息到输出中。</p>
<pre>
</pre>
<ol>
<li>$ df -T</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem              Type     1K-blocks      Used Available Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root ext4     952893348 591583292 312882844  66% /</li>
<li>none                    tmpfs            4         0         4   0% /sys/fs/cgroup</li>
<li>udev                    devtmpfs   4002492         4   4002488   1% /dev</li>
<li>tmpfs                   tmpfs       803536      1196    802340   1% /run</li>
<li>none                    tmpfs         5120         0      5120   0% /run/lock</li>
<li>none                    tmpfs      4017668     60176   3957492   2% /run/shm</li>
<li>none                    tmpfs       102400        48    102352   1% /run/user</li>
<li>/dev/sda1               ext2        233191    100025    120725  46% /boot</li>
</ol>
<h3>包含或排除特定的文件系统类型</h3>
<p>如果你想知道特定文件系统类型的剩余空间，用“-t ”选项。你可以多次使用这个选项来包含更多的文件系统类型。</p>
<pre>
</pre>
<ol>
<li>$ df -t ext2 -t ext4</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem              1K-blocks      Used Available Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root 952893348 591583380 312882756  66% /</li>
<li>/dev/sda1                  233191    100025    120725  46% /boot</li>
</ol>
<p>排除特定的文件系统类型，用“-x ”选项。同样，你可以用这个选项多次来排除多种文件系统类型。</p>
<pre>
</pre>
<ol>
<li>$ df -x tmpfs</li>
</ol>
<h3>显示一个具体的挂载点磁盘使用情况</h3>
<p>如果你用df指定一个挂载点，它将报告挂载在那个地方的文件系统的磁盘使用情况。如果你指定一个普通文件（或一个目录）而不是一个挂载点，df将显示包含这个文件（或目录）的文件系统的磁盘利用率。</p>
<pre>
</pre>
<ol>
<li>$ df /</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem              1K-blocks      Used Available Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root 952893348 591583528 312882608  66% /</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>$ df /home/dev</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem              1K-blocks      Used Available Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root 952893348 591583528 312882608  66% /</li>
</ol>
<h3>显示虚拟文件系统的信息</h3>
<p>如果你想显示所有已经存在的文件系统（包括虚拟文件系统）的磁盘空间信息，用“-a”选项。这里，虚拟文件系统是指没有相对应的物理设备的假文件系统，例如，tmpfs，cgroup虚拟文件系统或FUSE文件安系统。这些虚拟文件系统大小为0，不用“-a”选项将不会被报告出来。</p>
<pre>
</pre>
<ol>
<li>$ df -a</li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li>Filesystem              1K-blocks      Used Available Use% Mounted on</li>
<li>/dev/mapper/ubuntu-root 952893348 591578716 312887420  66% /</li>
<li>proc                            0         0         0    - /proc</li>
<li>sysfs                           0         0         0    - /sys</li>
<li>none                            4         0         4   0% /sys/fs/cgroup</li>
<li>none                            0         0         0    - /sys/fs/fuse/connections</li>
<li>none                            0         0         0    - /sys/kernel/debug</li>
<li>none                            0         0         0    - /sys/kernel/security</li>
<li>udev                      4002492         4   4002488   1% /dev</li>
<li>devpts                          0         0         0    - /dev/pts</li>
<li>tmpfs                      803536      1196    802340   1% /run</li>
<li>none                         5120         0      5120   0% /run/lock</li>
<li>none                      4017668     58144   3959524   2% /run/shm</li>
<li>none                       102400        48    102352   1% /run/user</li>
<li>none                            0         0         0    - /sys/fs/pstore</li>
<li>cgroup                          0         0         0    - /sys/fs/cgroup/cpuset</li>
<li>cgroup                          0         0         0    - /sys/fs/cgroup/hugetlb</li>
<li>/dev/sda1                  233191    100025    120725  46% /boot</li>
<li>vmware-vmblock                  0         0         0    - /run/vmblock-fuse</li>
</ol>
<p>原文发布时间：2015-02-01</p>
<p>本文来自云栖合作伙伴“linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:06:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/lock/" title="lock">lock</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在 Linux 下你所不知道的 df 命令的那些功能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6gGoM.html" rel="bookmark">linux下磁盘容量和df命令原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				df命令是linux下查看磁盘容量的常用命令.可以列出block数量,总容量,使用率等.这次使用python编写一个类似功能的模块,顺便学习一下df的原理. 直接输入df命令可以看到 Filesystem 1k-blocks Used Available Use% Mounted on 磁盘设备 blocks个数 使用的容量 有效容量 空闲率 挂载点 接下来就是这些参数怎么来的问题. /etc/mtab文件 /etc/mtab可以读出的是已经挂载的盘的信息,包括磁盘设备,挂载点,文件系统类型等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkw8Q7p.html" rel="bookmark">你所不知道的SQL Server数据库启动过程，以及启动不起来的各种问题的分析及解决技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:你所不知道的SQL Server数据库启动过程,以及启动不起来的各种问题的分析及解决技巧 目前SQL Server数据库作为微软一款优秀的RDBMS,其本身启动的时候是很少出问题的,我们在平时用的时候,很少关注起启动过程,或者很少了解其底层运行过程,大部分的过程只关注其内部的表.存储过程.视图.函数等一系列应用方式,而当有一天它运行的正常的时候突然启动不起来了,这时候就束手无策了,能做的或许只能是重装.配置.还原等,但这一个过程其实是一个非常耗时的过程,尤其当我们面对是庞大的生产库的时候,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balQ5qz.html" rel="bookmark">借助Shell让你在Linux下也能用DOS命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你是习惯于Windows命令提示符的IT人,当你第一次使用Linux命令行时 ,一定会感到无所适从.你所熟悉的DOS命令再Linux中基本不存在.摆在你面前 的是一大堆要记背的命令. 一种替代方案是利用强大的Linux外壳命令编写shell脚本,让你在Linux下也 能用DOS命令.下面告诉你怎么做. shell脚本编写基础 从定时备份到执行简单命令,Linux的shell脚本可以执行各种功能.几乎所 有的程序都可以用shell脚本来运行.在脚本中甚至可以包含一些简单的条件选 择.shell			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kP5dz.html" rel="bookmark">你所不知道的关于网管的危险做法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  你所不知道的关于网管的危险做法 网络管理员是指向社会公众开放的营业性上网服务提供场所里的管理员.Jeff Dray 最近经过对IT行业的深入调查研究,通过总结和分析针对IT行业列出了一份类别名单.在这里,他定义了七类最不安全的网络管理员.如果你是一名网络管理员,并且已经意识到工作中还存在着不足,看看你属于名单中的哪一类? 大多数网络管理员对工作游刃有余,并且可以在一个具有高度挑战和技术难度的任务中,使工作顺利进行.然而,有时他们中的某些人会变得很难缠,并会阻碍事情的顺利进行.所以,我定义了一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NRy7z.html" rel="bookmark">【干货合集】你所不知道的蚂蚁技术系列之（一）：系统设计、性能优化、运维</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				8月30-31日20:00-21:30,一场别开生面的技术大会-- &quot;蚂蚁金服&amp;阿里云在线金融技术峰会&quot;将在线举办.本次将聚焦数据库.应用架构.移动开发.机器学习等热门领域,帮助金融业技术开发者深入解析互联网应用的前沿应用与技术实践. 蚂蚁金服&amp;阿里云在线金融技术峰会专题:https://yq.aliyun.com/activity/109 峰会统一报名链接:http://yq.aliyun.com/webinar/join/38 2015双11,蚂蚁金服旗下支付宝共完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxnQmb.html" rel="bookmark">你所不知道的CSS滤镜技巧与细节</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要介绍 CSS 滤镜的不常用用法,希望能给读者带来一些干货! OK,下面直接进入正文.本文所描述的滤镜,指的是 CSS3 出来后的滤镜,不是 IE 系列时代的滤镜,语法如下,还未接触过这个属性的可以先简单到 MDN - filter 了解下: {      filter: blur(5px);      filter: brightness(0.4);      filter: contrast(200%);      filter: drop-shadow(16px 16px 20px 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ23vwz.html" rel="bookmark">你所不知道的陨石生意链：跨国交易疯狂 缺乏法律规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; [i黑马导读]2月15日,一颗陨石在俄罗斯车里雅宾斯克上空爆炸,目前已有上千人在这次&quot;飞来横祸&quot;中受伤.灾难中,有人受伤,也有人受益,据中国网报道,俄罗斯陨石坠落事件吸引了世界各地的陨石收藏爱好者,一家著名的购物网站上与&quot;陨石&quot;相关的商品超过1万件,最便宜的只要1元,贵的标价6000万元.黑马哥今天就为您摘录&lt;创业家杂志			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdvW72b.html" rel="bookmark">揭秘你所不知道的百度知道</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/pdvW72b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjc0NzgvMC5qcGc=.jpg">
							</a>
						<div class="summary">
				       &quot;有问题,问百度知道!&quot;如今这已成为越来越多的人在遇到工作.生活中各种大事小情时的首选.然而,对于天天帮助大家的百度知道,广大网友又了解多少呢.近日,百度知道推出了一个全新的项目--&lt;知道大数据&gt;,以期通过对百度知道的全方位数据展现,让网友们可以更深入地体会到百度知道的无所不能.作为整个项目的开山之作,第一期内容&quot;你所不知道的百度知道&quot;已经新鲜出炉,通过各种精准的数据,百度知道的庐山真面目开始浮出水面. 自2005年成立以来,百度知道已经走			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPrP1p.html" rel="bookmark">【javascript杂谈】你所不知道的replace函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[javascript杂谈]你所不知道的replace函数 前言 最近在做面试题的时候总会用到这个函数,这个函数总是和正则表达式联系到一起,并且效果很是不错,总能很简单出色的完成字符串的实际问题,大家肯定都会使用这个函数,像我一样的初学者可能对这个函数的了解还是不够深的,今天就总结一下,了解一下,再做几道网上的题目练练手,给将要面试的同学打打气. 介绍 使用一个替换值替换掉一个替换模式在原字符串中一个或所有的匹配项,并返回替换后的字符串,这个替换模式可以是字符串或者正则表达式,替换值可以是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Agqp.html" rel="bookmark" class="title">令网站看起来不专业的十个设计误区</a>
					<div>
						  在这个奶茶店都有个响应式网站的时代,你没有网站似乎是一件说不过去的事情.不过当你考虑到自己可能仅仅只是个人名而非名人,你的店铺也算不得什么知名大厂,随便开个网站再说,等影响力扩展到前面十字路口的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1E2oM.html" rel="bookmark" class="title">一个算法题，求答案啊啊啊啊</a>
					<div>
						问题描述 一个算法题,求答案啊啊啊啊 白班 09:00-18:00 通班 09:00-21:00 每个人每个月通班数量必须等于早中班和中晚班数量之和 早中班 09:00-15:00 中晚班 15:00 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3B77z.html" rel="bookmark" class="title">完整的访问统计程序&lpar;三  应用篇&rpar;</a>
					<div>
						请大家在转载和使用的时候不要修改这里*//*  static.asp  保存统计数据*/&lt;!--#include file=&quot;staticFunc.asp&quot;--&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL2Yab.html" rel="bookmark" class="title">爬山问题</a>
					<div>
						Problem Statement A hiker has set out to conquer a hill. The trail guide for the hill lists informat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6220oM.html" rel="bookmark" class="title">php curl检测网页是否被百度收录</a>
					<div>
						&lt;?php /* * 检测百度是否收录网页 curl模式 * @ param string $url传入的url * return int (1 收录 0 不收录) */ function ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62EEgM.html" rel="bookmark" class="title">SQL Server、Oracle和MySQL中查出值为NULL的替换</a>
					<div>
						在SQL Server Oracle MySQL当数据库中查出某值为NULL怎么办? 1.MSSQL: ISNULL() 语法 ISNULL ( check_expression , replacem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKm7OM.html" rel="bookmark" class="title">在Red Hat Linux中自动运行程序</a>
					<div>
						1．开机启动时自动运行程序 Linux加载后, 它将初始化硬件和设备驱动, 然后运行第一个进程init.init根据配置文件继续引导过程,启动其它进程.通常情况下,修改放置在 /etc/rc或 /et ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlgBvb.html" rel="bookmark" class="title">用微软的实时通信API集成丰富的客户端通信</a>
					<div>
						摘要 学习如何创建或集成实时通信(RTC)应用编程接口(API)的基本知识以实现音视频会议.应用程序共享.白板.简单的点对点聊天和音视频调节向导.RTC API 提供了卓越的基于PC的通信革新,这可应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnRLVz.html" rel="bookmark" class="title">如何在oracle中手工建库</a>
					<div>
						1.建立口令文件,用于sys用户远程登录的认证(remote_login_passwordfile=exclusive),位置 $ORACLE_HOME/dbs/orapwSID.创建命令: orap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42ea8M.html" rel="bookmark" class="title">Win8系统下安装杀毒软件失败的原因和解决方法</a>
					<div>
						  很多用户都会在安装完系统第一时间安装杀毒软件来保证系统的安全,但是,很多朋友都遇到无法安装杀毒软件的情况,相比win8一下系统来说,win8系统下似乎并不对杀毒软件欢迎,那么造成杀毒软件安装失败的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42R68M.html" rel="bookmark" class="title">Mac的QQ如何设置字体大小和颜色</a>
					<div>
						  一.首先是设置字体大小 1.打开 QQ 以后,随便打开一个聊天窗口. 图一:聊天窗口 2.随后点击屏幕顶部系统菜单栏中的&quot;格式&quot;,再选择&quot;字体&quot;选项,如图所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24gDZp.html" rel="bookmark" class="title">两个jsp页面传值获取参数值的问题</a>
					<div>
						问题描述 两个jsp页面传值获取参数值的问题 我有两个jsp页面,A.jap和B.jsp现在A.jsp里面有个链接,单击这个链接需要跳转到B页面并且带一个参数过来.既:点击问题是:我在B.jsp的js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEWOxz.html" rel="bookmark" class="title">功能强大的KSnapshot</a>
					<div>
						KSnapshot是KDE集成桌面环境自带的截图工具,不过在GNOME集成桌面环境下也可以安装和使用它.我们可以通过新立得软件包管理器或使用apt-get命令来安装它.假设使用命令行方式来安装,打开一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k0wPM.html" rel="bookmark" class="title">重磅出击 实现IOS下内嵌HTML编辑器   Objective-C 与 JavaScript 通信攻关</a>
					<div>
						通过接近N天的努力. 终于在今天.IOS下内嵌HTML编辑器的Demo 基本实现. 学习过程中,参考了很多网上的资料.很感谢这些分享资源的牛人.有你们.. 才能顺利拿下这个比较特别的需求. 我使用的H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nyj7z.html" rel="bookmark" class="title">javascript-没有append到页面中的element，那些属性可以修改成功？</a>
					<div>
						问题描述 没有append到页面中的element,那些属性可以修改成功? var ele=document.createElement(&quot;div&quot;); //修改属性和样式 doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZLQXM.html" rel="bookmark" class="title">JUnit 5系列之架构体系介绍</a>
					<div>
						现在,我们已经知道了 如何配置 JUnit 5 环境 及 如何写一些测试,接下来就来看一点封面下的内容吧.本篇我们将讨论 JUnit 5 的架构体系,以及它之成形如此的原因. 概述 本文章是这个 JU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEvPlM.html" rel="bookmark" class="title">Win7&sol;Win8&period;1系统打开文件夹时假死，地址栏的绿色加载条缓慢前进怎么办</a>
					<div>
						故障现象: 使用Win8/Win8.1操作系统的过程中,可能会遇到打开文件夹假死现象,地址栏的绿色加载条缓慢前进. 解决方案: 在使用Win8/Win8.1操作系统的过程中,可能会遇到打开文件夹假死现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z4qAz.html" rel="bookmark" class="title">车间计划管理在优先级控制中的必要性</a>
					<div>
						在能力控制以外,有效的优先级控制是必要的.制造工厂必须制出足够的总产品并且要把工作做在正确的物品上:这二者都是必要的. &amp;http://www.aliyun.com/zixun/aggrega ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKgaoz.html" rel="bookmark" class="title">利用SQL Profiler处理开销较大的查询</a>
					<div>
						原文:利用SQL Profiler处理开销较大的查询 当SQL Server的性能变差时,最可能发生的是以下两件事: 首先,某些查询产生了系统资源上很大的压力.这些查询影响整个系统的性能,因为服务器无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmBevM.html" rel="bookmark" class="title">浅谈阿里系</a>
					<div>
						热闹的双11促销活动现在已经结束了,淘宝.天猫.支付宝等阿里旗下的网站在当天爆发出能量是非常惊人的,让人难以置信:全天总交易额达到 191 亿,其中天猫是132 亿,淘宝是 59 亿,支付宝日订单数量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRwwdb.html" rel="bookmark" class="title">《Unreal Engine 4蓝图可视化编程》一第1章 使用蓝图进行对象交互</a>
					<div>
						第1章 使用蓝图进行对象交互 Unreal Engine 4蓝图可视化编程 当开始开发一个游戏时,你想到的第一步应该是建立一个原型.幸运的是,虚幻引擎4和蓝图让基本的游戏功能实现起来比以往任何时候都更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RYwqz.html" rel="bookmark" class="title">java可以实现excel的另存为操作么</a>
					<div>
						问题描述 java可以实现excel的另存为操作么 使用jxl输出的一个excel表导入,spss会出现中文乱码.打开excel进行另存为操作后,再次导入spss,就是正常中文啦. 解决方案 设置一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R13qz.html" rel="bookmark" class="title">Discuz&excl; X2用户资料支持分组 助力社区获取用户资料</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于站长而言,运营不同社区,或者根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrjQ2p.html" rel="bookmark" class="title">百度贴吧测试UGC产品 定名&OpenCurlyDoubleQuote;大全&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 1月5日消息 百度贴吧已于日前上线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Nxk9b.html" rel="bookmark" class="title">Android实现登陆页logo随键盘收放动态伸缩（完美解决键盘弹出遮挡控件的问题）&lowbar;Android</a>
					<div>
						在最近的两个项目中,项目需求要求我们实现 /*登陆页面的内容能够随着键盘的弹出而被顶上去,避免键盘遮挡住登陆按钮*/ 这样的效果,宝宝心里苦呀,本来半天搞定的事还非得折腾一下,好吧我妥协,毕竟我还是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqE57p.html" rel="bookmark" class="title">猩猩助手安装失败怎么办 猩猩助手安装失败解决教程</a>
					<div>
						猩猩助手常见问题 1.硬件最低配置 i3以上CPU/内存2G/512M独立显卡, 在安装时请务必耐心等待,根据电脑配置的不同可能需要1-3分钟不等. 2.第一次安装猩猩助手,进度一直卡在0% 1. . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2LXjM.html" rel="bookmark" class="title">Java MouseListener</a>
					<div>
						问题描述 import java.awt.Dimension;import java.awt.FlowLayout;import java.awt.event.MouseEvent;import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo8eNM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;炫富女&rdquo;频繁现身是网友&OpenCurlyDoubleQuote;捧&rdquo;的结果</a>
					<div>
						近日,北京微博账户&quot;小白儿乖&quot;的女子在上周四的21岁生日后,于微博上晒出干爹赠送的&quot;连体钞票礼服&quot;.&quot;小白儿乖&quot;自称&quot;连体钞票礼服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdXAnM.html" rel="bookmark" class="title">c&num;-C&num;网页内容抓取放置问题</a>
					<div>
						问题描述 C#网页内容抓取放置问题 我们经常看到一些软件上面有一条公告信息的,这个是怎么从网页上面的text调用到label.text中的,不是要用webbrowser来实现. 例如在百度搜索 港币  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7woNdz.html" rel="bookmark" class="title">&lbrack;译&rsqb; 1000 赞的程序员高薪职业建议</a>
					<div>
						来自 quora 的问题 (What is the best career advice for a software developer to earn higher salary ) 觉得有些建议 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
